### Enumeration

# GLib UserDirectory

since: 2.14

#### Declaration

    enum GLib.UserDirectory

#### Description

These are logical ids for special directories which are defined depending on the platform used. You should use `g_get_user_special_dir()` to retrieve the full path associated to the logical id.

The `GUserDirectory` enumeration can be extended at later date. Not every platform has a directory for every logical id in this enumeration.

Available since: 2.14

#### Members

`G_USER_DIRECTORY_DESKTOP`

  The user’s Desktop directory.

  - Value: `0`
  - Available since: 2.14
`G_USER_DIRECTORY_DOCUMENTS`

  The user’s Documents directory.

  - Value: `1`
  - Available since: 2.14
`G_USER_DIRECTORY_DOWNLOAD`

  The user’s Downloads directory.

  - Value: `2`
  - Available since: 2.14
`G_USER_DIRECTORY_MUSIC`

  The user’s Music directory.

  - Value: `3`
  - Available since: 2.14
`G_USER_DIRECTORY_PICTURES`

  The user’s Pictures directory.

  - Value: `4`
  - Available since: 2.14
`G_USER_DIRECTORY_PUBLIC_SHARE`

  The user’s shared directory.

  - Value: `5`
  - Available since: 2.14
`G_USER_DIRECTORY_TEMPLATES`

  The user’s Templates directory.

  - Value: `6`
  - Available since: 2.14
`G_USER_DIRECTORY_VIDEOS`

  The user’s Movies directory.

  - Value: `7`
  - Available since: 2.14
`G_USER_N_DIRECTORIES`

  The number of enum values.

  - Value: `8`
  - Available since: 2.14